/*
  -------------------- file argproc.h
  Created 6 Oct 92 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1992 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _061092_140957
#define _061092_140957

#define ARG_COMPUTE_UNKNOWN   0
#define ARG_COMPUTE_LINEAR    1   /* (r[0] / r[1]) * n + s */

struct arg_compute_struct {
  int kind;     /* ARG_COMPUTE_XXX */
  double r[2];
  double s;
};


void badarg P(( const char *, const char * ));
int argint_vec P(( const char *, const int, const int, const int,
  const int, char **, int *, int *, int * ));
int argint P(( const char *, const int, const int, const int,
  char **, int *, int *, int * ));
int argstr P(( const char *, const int, char **,
  int *, char **, int * ));
int argnull P(( const char *, const int, char **, int *, int * ));
int argcompute P(( const char *, const int, char **,
  const double *, const double *, struct arg_compute_struct *, int *, int * ));

double compute_arg_do P((
  const struct arg_compute_struct *, const double ));
void compute_arg_print
  P(( FILE *, const struct arg_compute_struct *, const char * ));
void compute_arg_set_linear
  P(( struct arg_compute_struct *,const double,const double,const double ));

#endif /* _061092_140957 */
